find_program(CCACHE_FOUND ccache)
if(CCACHE_FOUND)
	set_property(GLOBAL PROPERTY RULE_LAUNCH_COMPILE ccache)
	set_property(GLOBAL PROPERTY RULE_LAUNCH_LINK ccache)
	set(ENV{CCACHE_BASEDIR} "${CMAKE_SOURCE_DIR}")
endif(CCACHE_FOUND)
